{ арифметические алгоритмы: возведение целого числа в натуральную степень  }
{ Вариант 1 (обычный)                                                      }
{ ------------------------------------------------------------------------ }
var x,y:integer;

function Degree(a,b:integer):longint;
var r:longint;
begin
     r:=1;
     while b>0 do begin
        r:=r*a;
        b:=b-1;
     end;
     Degree:=r;
end;

begin
    writeln('введите число и (через пробел) степень числа');
    readln(x,y);
    writeln(Degree(x,y)); { print x^y }
end.
